/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.statetransfer;

import org.jboss.cache.Fqn;

import java.io.ObjectInputStream;

/**
 * @since 1.2.4
 */
public interface StateTransferIntegrator
{
   // TODO: target is an Object to support both InternalNodes and NodeSPIs.
   void integrateState(ObjectInputStream ois, Object target, Fqn targetFqn, boolean integratePersistentState) throws Exception;
}