/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.statetransfer;

import java.io.ObjectOutputStream;

/**
 * @since 1.2.4
 */
public interface StateTransferGenerator
{
   // TODO: rootNode is an Object to support both InternalNodes and NodeSPIs.
   void generateState(ObjectOutputStream stream, Object rootNode, boolean generateTransient, boolean generatePersistent, boolean suppressErrors) throws Exception;
}